[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#587899: /usr/sbin/cupsd: symbol lookup error

Package: cups
Version: 1.3.10-2
Severity: important

This seems to be one of the undeads, because there happens to be an ancient bug
concerning the same problem: #481249 from two years ago.

This is what I get when trying to start cups:
legoland:# /etc/init.d/cups restart
Restarting Common Unix Printing System: cupsd/usr/sbin/cupsd: symbol
lookup error: /usr/sbin/cupsd: undefined symbol: _httpReadGNUTLS

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages cups depends on:
ii  adduser                 3.112            add and remove users and groups
ii  bc                      1.06.95-2        The GNU bc arbitrary precision cal
ii  cups-common             1.4.4-1          Common UNIX Printing System(tm) - 
ii  debconf [debconf-2.0]   1.5.32           Debian configuration management sy
ii  ghostscript             8.62.dfsg.1-3.1  The GPL Ghostscript PostScript/PDF
ii  libavahi-compat-libdnss 0.6.25-4         Avahi Apple Bonjour compatibility 
ii  libc6                   2.9-19           GNU C Library: Shared libraries
ii  libcups2                1.4.4-1          Common UNIX Printing System(tm) - 
ii  libcupsimage2           1.4.4-1          Common UNIX Printing System(tm) - 
ii  libdbus-1-3             1.2.24-1         simple interprocess messaging syst
ii  libgcc1                 1:4.4.4-6        GCC support library
ii  libgnutls26             2.8.6-1          the GNU TLS library - runtime libr
ii  libgssapi-krb5-2        1.7+dfsg-4       MIT Kerberos runtime libraries - k
ii  libijs-0.35             0.35-7           IJS raster image transport protoco
ii  libkrb5-3               1.7+dfsg-4       MIT Kerberos runtime libraries
ii  libldap-2.4-2           2.4.21-1         OpenLDAP libraries
ii  libpam0g                1.1.1-3          Pluggable Authentication Modules l
ii  libpaper1               1.1.24           library for handling paper charact
ii  libpoppler4             0.10.6-1         PDF rendering library
ii  libslp1                 1.2.1-7.7        OpenSLP libraries
ii  libstdc++6              4.4.4-6          The GNU Standard C++ Library v3
ii  lsb-base                3.2-23.1         Linux Standard Base 3.2 init scrip
ii  perl-modules            5.10.1-13        Core Perl modules
ii  procps                  1:3.2.8-9        /proc file system utilities
ii  ssl-cert                1.0.25           simple debconf wrapper for OpenSSL
ii  ttf-freefont            20090104-7       Freefont Serif, Sans and Mono True
ii  xpdf-utils [poppler-uti 3.02-1.4+lenny1  Portable Document Format (PDF) sui
ii  zlib1g                  1: compression library - runtime

Versions of packages cups recommends:
ii  avahi-utils               0.6.25-4       Avahi browsing, publishing and dis
ii  cups-client               1.4.4-1        Common UNIX Printing System(tm) - 
ii  cups-driver-gutenprint    5.0.2-4        printer drivers for CUPS
ii  foomatic-filters          4.0-20090509-1 OpenPrinting printer support - fil
ii  smbclient                 1:3.0.29-1     a LanManager-like simple client fo

Versions of packages cups suggests:
pn  cups-bsd                      <none>     (no description available)
ii  cups-pdf                      2.5.0-16   PDF printer for CUPS
ii  foomatic-db                   20090616-1 OpenPrinting printer support - dat
ii  foomatic-db-engine            4.0.4-1    OpenPrinting printer support - pro
pn  hplip                         <none>     (no description available)
pn  xpdf-korean | xpdf-japanese | <none>     (no description available)

-- debconf information:
* cupsys/raw-print: true
* cupsys/backend: lpd, usb

Reply to: